import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

class DefaultGameSettings {
  // available game parameters codes
  static const String parameterCodeGameType = 'type';
  static const String parameterCodeLangValue = 'lang';
  static const List<String> availableParameters = [
    parameterCodeGameType,
    parameterCodeLangValue,
  ];

  // game type: available values
  static const String gameTypeValuePickWord = 'pick-word';
  static const String gameTypeValuePickImage = 'pick-image';
  static const List<String> allowedGameTypeValues = [
    gameTypeValuePickWord,
    gameTypeValuePickImage,
  ];
  // game type: default value
  static const String defaultGameTypeValue = gameTypeValuePickWord;

  // lang: available values
  static const String langValueFr = 'fr';
  static const String langValueEn = 'en';
  static const List<String> allowedLangValues = [
    langValueFr,
    langValueEn,
  ];
  // lang: default value
  static const String defaultLangValue = langValueFr;

  // available values from parameter code
  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeGameType:
        return DefaultGameSettings.allowedGameTypeValues;
      case parameterCodeLangValue:
        return DefaultGameSettings.allowedLangValues;
    }

    printlog('Did not find any available value for game parameter "$parameterCode".');
    return [];
  }

  static const int itemsCount = 4;
  static const int recentWordsCount = 20;
}
