import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:wordguessing/cubit/game_cubit.dart';
import 'package:wordguessing/models/data/word.dart';
import 'package:wordguessing/models/game/game.dart';
import 'package:wordguessing/ui/widgets/game/pick_word_game_image.dart';

class PickWordGameImageItemsContainer extends StatelessWidget {
  const PickWordGameImageItemsContainer({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        if (currentGame.images.isEmpty) {
          return const SizedBox.shrink();
        }

        final Word word = currentGame.images[0];

        return Column(
          mainAxisSize: MainAxisSize.min,
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            Row(
              mainAxisSize: MainAxisSize.min,
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                PickWordGameImageContainer(image: word.images[0]),
                PickWordGameImageContainer(image: word.images[1]),
              ],
            ),
            Row(
              mainAxisSize: MainAxisSize.min,
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                PickWordGameImageContainer(image: word.images[2]),
                PickWordGameImageContainer(image: word.images[3]),
              ],
            )
          ],
        );
      },
    );
  }
}
